Skip to main content
GET
List all Receivable Sales

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

request_date
object

A set of filters on the list using the object's field request_date.

status
enum<string>

Return only sales with this status. The status of the receivable sale.

  • created: the sale has been created and its member receivables and amounts are frozen.
  • settled: the purchase_amount has been debited from your account. core_transaction_id and settled_at are set.
  • failed: the sale could not be settled because your account has insufficient funds or is closed. failure describes why. Any other problem leaves the sale created.
Available options:
created,
settled,
failed
Example:

"settled"

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. Pass the ID of the last Receivable Sale in the previous page to fetch the next page. Unique ID of the Receivable Sale object.

Maximum string length: 64
Pattern: ^receivable_sale_\w+$
Example:

"receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e"

ending_before
string

A cursor for use in pagination. Pass the ID of the first Receivable Sale in the current page to fetch the previous page. Unique ID of the Receivable Sale object.

Maximum string length: 64
Pattern: ^receivable_sale_\w+$
Example:

"receivable_sale_3f9a1c7e5b2d4a6f8e0c1b3d5f7a9c2e"

Response

A list of Receivable Sale objects.

objects
object[]
required
has_more
boolean
required

Whether more objects are available beyond this page.